%define name    xplc
%define version 0.3.13
%define release %mkrel 9

%define major   0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    LGPLv2+
Group:      System/Libraries
Summary:    Component system
URL:        http://xplc.sourceforge.net
Source:     http://downloads.sourceforge.net/xplc/%{name}-%{version}.tar.bz2
# Install devel libraries to /usr/lib and not /usr/lib/%name-%version
Patch0:     xplc-0.3.13-devel-location.patch
# rename uuidgen to xplc-uuidgen
Patch1:     xplc-0.3.13-uuidgen.patch
Patch2:     xplc-0.3.13-as-needed.patch
BuildRequires:  libext2fs-devel

%description
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package uuidgen
Group:      System/Libraries
Summary:    Component system

%description uuidgen
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This
packages contains the UUID generation tools that are provided with XPLC. The
'uuidgen' tool is renamed 'xplc-uuidgen' to avoid conflict with the 'uuidgen'
tool in the e2fs-progs package.

%package -n %{libname}
Group:          System/Libraries
Summary:    Component system

%description -n %{libname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort).

%package -n %{develname}
Summary: Development files for XPLC
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{mklibname -d xplc 0}

%description -n %{develname}
XPLC ("Cross-Platform Lightweight Components") is a component system that will
provide extensibility and reusability both inside and between applications, 
while being portable across platforms (and languages) and having the lowest 
possible overhead (both in machine resources and programming effort). This 
package contains the files needed for developing applications which use 
XPLC.

%prep
%setup -q
%patch0 -p1 -b .devel
%patch1 -p1 -b .uuid
%patch2 -p0 -b .needed

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files uuidgen
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc NEWS README TODO
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-%{version}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.3.13-9.mga3
+ Revision: 387322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 0.3.13-8.mga3
+ Revision: 304971
- update file list
- update file list
- drop .la files

* Mon Apr 25 2011 shikamaru <shikamaru> 0.3.13-8.mga1
+ Revision: 90215
- clean spec (buildroot, retab, mdkversion, macros)
- imported package xplc

